> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT transfers by token

Get NFT transfers by token

` GET /insights/v1/nfts/transfers/{contract_address}/{token_id} `

Get NFT transfers by token

Get NFT transfers by token

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` contract_address ` (path, required)

- ` value `: type ` string `

  - Title: address (hex or ENS)

  - example: ` "vitalik.eth" `

Example:

```json
"vitalik.eth"
```

### ` token_id ` (path, required)

- ` value `: type ` string `

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` limit ` (query, optional)

- ` value `: type ` integer ` — The number of items to return

  - default: ` 20 `

  - example: ` 20 `

  - minimum: ` 0 `

  - maximum: ` 1000 `

Example:

```json
20
```

### ` page ` (query, optional)

- ` value `: type ` integer `; nullable — Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.

  - default: ` 0 `

  - example: ` 0 `

  - minimum: ` 0 `

Example:

```json
0
```

### ` metadata ` (query, optional)

- ` value `: type ` string ` — Whether to include metadata for the tokens

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

### ` sales ` (query, optional)

- ` value `: type ` string ` — Whether to include sale details for NFT transfers

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

### ` include_owners ` (query, optional)

- ` value `: type ` string ` — Whether to include owner addresses in the NFT metadata (only if metadata is requested)

  - enum: ` ["true","false"] `

  - default: ` "false" `

  - example: ` "false" `

Example:

```json
"false"
```

### ` resolve_metadata_links ` (query, optional)

- ` value `: type ` string ` — Whether to resolve metadata IPFS or Arweave links

  - enum: ` ["true","false"] `

  - default: ` "true" `

  - example: ` "false" `

Example:

```json
"false"
```

## Responses

### ` 200 ` — Success

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` data `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` token_id `, ` chain_id `, ` block_number `, ` block_timestamp `, ` transaction_hash `, ` from_address `, ` to_address `, ` log_index `, ` contract_address `, ` transfer_type `, ` token_type `, ` amount `

      - ` token_id `: type ` string `

      - ` chain_id `: type ` number `

      - ` block_number `: type ` string `

      - ` block_hash `: type ` string `

      - ` block_timestamp `: type ` string `

      - ` transaction_hash `: type ` string `

      - ` from_address `: type ` string `

      - ` to_address `: type ` string `

      - ` log_index `: type ` number `

      - ` contract_address `: type ` string `

      - ` transfer_type `: type ` string `

        - enum: ` ["mint","sale","transfer"] `

      - ` token_type `: type ` string `

        - enum: ` ["erc721","erc1155"] `

      - ` amount `: type ` string `

      - ` nft_metadata `: type ` object `

        - ` name `: type ` string `

        - ` description `: type ` string `

        - ` image_url `: type ` string `

        - ` video_url `: type ` string `

        - ` animation_url `: type ` string `

        - ` background_color `: type ` string `

        - ` external_url `: type ` string `

        - ` status `: type ` string `

        - ` metadata_url `: type ` string `

        - ` owner_addresses `: type ` array `

          - ` array item `: type ` string `

        - ` extra_metadata `: type ` unknown `

          - ` allOf constraint 1 `: type ` object `

          - ` allOf constraint 2 `: type ` object `

            - ` attributes `: type ` unknown `

              - ` anyOf alternative 1 `: type ` array `

                - ` array item `: type ` object `

                  - Required fields: ` trait_type `, ` value `

                  - ` trait_type `: type ` string `

                  - ` value `: type ` unknown `

                    - ` anyOf alternative 1 `: type ` string `

                    - ` anyOf alternative 2 `: type ` number `

                  - ` display_type `: type ` string `

              - ` anyOf alternative 2 `: type ` object `

            - ` properties `: type ` object `

        - ` collection `: type ` object `

          - ` name `: type ` string `

          - ` description `: type ` string `

          - ` image_url `: type ` string `

          - ` banner_image_url `: type ` string `

          - ` featured_image_url `: type ` string `

          - ` external_link `: type ` string `

        - ` contract `: type ` object `

          - Required fields: ` chain_id `, ` address `

          - ` chain_id `: type ` number ` — The chain ID of a relevant entry

            - example: ` 1 `

          - ` address `: type ` string `

            - Title: address (hex or ENS)

            - example: ` "vitalik.eth" `

          - ` name `: type ` string `

          - ` symbol `: type ` string `

          - ` type `: type ` string `

            - enum: ` ["erc721","erc1155"] `

      - ` nft_sale `: type ` object `

        - Required fields: ` transaction_hash `, ` items_sold `, ` payment `, ` marketplace_address `, ` marketplace_name `

        - ` transaction_hash `: type ` string `

        - ` items_sold `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` token_address `, ` token_id `, ` amount `, ` token_type `

            - ` token_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

            - ` token_id `: type ` string `

            - ` amount `: type ` string `

            - ` token_type `: type ` string `

            - ` from_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

            - ` to_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

        - ` payment `: type ` array `

          - ` array item `: type ` object `

            - Required fields: ` token_address `, ` token_id `, ` amount `, ` token_type `

            - ` token_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

            - ` token_id `: type ` string `

            - ` amount `: type ` string `

            - ` token_type `: type ` string `

            - ` from_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

            - ` to_address `: type ` string `

              - Title: address (hex or ENS)

              - example: ` "vitalik.eth" `

        - ` marketplace_address `: type ` string `

        - ` marketplace_name `: type ` string `

### ` 404 ` — Not found

### ` 500 ` — Internal server error

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/nfts/transfers/vitalik.eth/string'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/nfts/transfers/vitalik.eth/string', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/nfts/transfers/vitalik.eth/string')
print(response.json())
```